package com.ruoyi.config.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频会议配置对象 meeting_config
 *
 * @author ruoyi
 * @date 2023-04-18
 */
public class MeetingConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 键 */
    @Excel(name = "键")
    private String ky;

    /** 值 */
    @Excel(name = "值")
    private String val;

    public Long getId() {
      return id;
    }

    public void setId(Long id) {
      this.id = id;
    }

    public String getName() {
      return name;
    }

    public void setName(String name) {
      this.name = name;
    }

    public String getKy() {
      return ky;
    }

    public void setKy(String ky) {
      this.ky = ky;
    }

    public String getVal() {
      return val;
    }

    public void setVal(String val) {
      this.val = val;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("ky", getKy())
            .append("val", getVal())
            .toString();
    }
}
